
#pragma once
#include "JuceHeader.h"

class AudioTrackProcessor : public AudioProcessorGraph {
   public:
    AudioTrackProcessor();
    ~AudioTrackProcessor();

   private:
    using AudioGraphIOProcessor = AudioProcessorGraph::AudioGraphIOProcessor;
    using Node                  = AudioProcessorGraph::Node;

    void ConnectAudioNodes();

    Node::Ptr audio_input_node_;
    Node::Ptr audio_output_node_;
    Node::Ptr plugin_node_;

    JUCE_DECLARE_NON_COPYABLE_WITH_LEAK_DETECTOR(AudioTrackProcessor)
};