
#pragma once
#include "JuceHeader.h"

class IPlayControl {
   public:
    enum MoveType {
        TO_START,
    };

	virtual ~IPlayControl() {}

    virtual void TransportPlay(bool should_start_playing, NotificationType notification = dontSendNotification) = 0;
    virtual void MovePosition(MoveType type)                                                                    = 0;
    virtual void SetPlayPosition(double new_time_in_seconds)                                                    = 0;
};